Subject: Re: [PATCH v10] setup: improve error diagnosis for invalid .git files

From: Tian Yuchen <[email-masked]>
Date: Thu, 26 Feb 2026 00:03:18 +0800

Hi Junio,

> Sorry, but I do not see what such a change buys us.

My primary concern was the function's semantics, though it is indeed 
redundant.

> Yes all this happens in repository set-up which should happen very
> early in the process, no?

Should be like this.

> It is a bug in the way you wrote that multi-threaded git server, no?
> 
> We have the "_gently" variant for such a use case, and I do not
> think we expect the normal single-process git start-up sequence
> should be reused there.

I see. Thank you for the insights. I will drop these overly abstract 
ideas and keep my focus on practical fixes.

Regards,

Yuchen